Hadoop 0.20.2 Eclipse-плагин не полностью функционирует - не может работать на Hadoop

Я только что закончил установку Hadoop 0.20.2 под Cygwin на Windows 7 с Eclipse Helios (3.6). Hadoop полностью запущен, и я пытаюсь запустить тестовое приложение во вновь созданном тестовом проекте MapReduce в Eclipse. Я использую плагин Hadoop 0.20.2 из загрузки Hadoop.

Проекция Map / Reduce Location работает правильно, как и дерево местоположений DFS в Package Explorer. Однако, когда я щелкаю правой кнопкой мыши по драйверу, выбираю «Запуск от имени»> «Запустить на Hadoop», ничего не происходит и на консоли не появляются ошибки (silent fail :(). Я полагаю, что перед ним должно появиться диалоговое окно с запросом конфигурации работает, но этого не происходит.

Кажется, есть еще несколько человек с такой же проблемой, но я еще не нашел ответ, который работает. Я попробовал плагин 0.20.1 (полный сбой). Следующий отчет об ошибке, кажется, описывает мою проблему, хотя я немного новичок во всем этом, так что мог бы помочь, поделившись своим опытом:https://issues.apache.org/jira/browse/MAPREDUCE-1280

Ответы на вопрос(3)

что плагин Eclipse не уделял много внимания в течение достаточно долгого времени. JIRA, на которую вы ссылаетесь, исправляет проблему, но она применяется только к Hadoop 20.3 и выше. Один из вариантов - попытаться применить патч к 20.2 и перекомпилировать, но это довольно много требует от новичка. Я бы поддержал предложение использовать Karmasphere; Это отличный продукт для работы с MapReduce, и эти люди взяли на себя постоянную работу с выпусками Hadoop.

 codinghands01 нояб. 2010 г., 20:52
Я посмотрю на Karmasphere - спасибо за ответ.
Решение Вопроса

clipse до версии 3.3. JIRA-билетMapReduce-1280 содержит патч для запуска плагина в eclipse 3.4 и выше.

Я только что скомпилировал исправленный плагин с исправлениями из JIRA-билетаMapReduce-1280, Файл прикреплен к заявке. Вы можете найти этоВот.

Просто удалите старый плагин из вашей установки eclipse и поместите новую версию плагина в папку dropins вашей установки eclipse.

После обновления с более старой версии плагина вы должны будете начать затмение с помощью ключа командной строки «-clean». Справку по переключателям командной строки eclipse можно найтиВот.

 Sridhar Sarnobat27 авг. 2012 г., 08:56
Это сработало и для меня, хотя мне не нужен был ключ -clean. Спасибо за спасение разочарования на выходных!
 Bolo27 окт. 2011 г., 16:56
Это сработало для меня (-clean переключатель командной строки имел решающее значение). Спасибо!

был ли плагин обновлен или нет, но, насколько я знаю, он не обслуживается в нескольких предыдущих выпусках.

Одним из решений является то, что вы должны загрузить исходный код и попытаться повторно скомпилировать файл jar для этого плагина (для последней версии eclipse), однако я не пробовал его, поэтому не знаю, работает ли он.

Может быть, вы можете попробовать использовать Karmasphere.

Ваш ответ на вопрос